import os
import logging

_PROJECT_PATH = os.path.join(os.path.dirname(__file__), '..')

db_url = 'sqlite:///' + os.path.join(_PROJECT_PATH, 'data/test.db')

debug = False
log_file = os.path.join('/var/log/mandaye-cam/mandaye.log')
log_level = logging.INFO

# Encrypt service provider passwords with a secret
# You should install pycypto to use this feature
encrypt_sp_password = True
# Must be a 16, 24, or 32 bytes long
encrypt_secret = 'CHANGE_ME'

static_root = os.path.join(_PROJECT_PATH, 'cam/static')

hosts = {
    'archimed.montpellier.entrouvert.org': [
        {'path': r'/',
         'target': 'http://ermes2.montpellier-agglo.com',
         'mapping': 'cam.configs.archimed_saml.archimed_mapping'
         },
        { 'path': r'/static',
         'static': static_root
         }
    ],
}
